Subject: Re: [PATCH 3/4] push: make non-fast-forward help message configurable

From: Matthieu Moy <[email-masked]>
Date: Mon, 07 Sep 2009 13:20:08 +0200

Jeff King <[email-masked]> writes:

> I'm not sure it solves the problem. The point of "message.all" was to
> easily say "I'm an expert, so turn off useless advice". But now I would
> have to manually re-enable any messages that I _do_ want to see. And of
> course I don't see them to know that I want them, so I have to read
> through the config documentation and decide on each one.

Well, if it was _that_ important, I'd go for your suggestion of a
message hierarchy message.advice.foo, message.info.bar and so, with
the possibility of enabling/disabling a subhierarchy with a config
option. Now, I really get the feeling that this is overkill...

> So I think "be verbose, but let the user quiet us" is probably
> better than "be quiet, but let the user make us louder", because it is
> easier to discover verbose things. Which implies to me that
> "message.all", if it exists at all, should be limited in scope to just
> advice.

Yup, you convinced me for the last implication.

Otherwise, one setting "message.all = false" would never even notice
that another very cool informative message was added to Git in its
latest version.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/